<?php 
register_activation_hook(__FILE__,'MjCon_install');

function myplugin_update_db_check_MjCon() {
    global $MjCon_db_version;
    if (get_site_option('MjCon_db_version') != $MjCon_db_version) {
        MjCon_install();
    }
}
add_action('plugins_loaded', 'myplugin_update_db_check_MjCon');


function MjCon_install() {
	global $wpdb;
	global $MjCon_db_version;
	$form 	= $wpdb->prefix . "mj_contact_forms";
	$field 	= $wpdb->prefix . "mj_contact_fields";
	$save 	= $wpdb->prefix . "mj_contact_saved_forms";
	
	if($wpdb->get_var('SHOW TABLES LIKE ' . $form) != $form){
	  $sqlOne = "CREATE TABLE " . $form . "(
			`form_id` int(10) NOT NULL AUTO_INCREMENT,
			`form_name` varchar(225) DEFAULT NULL,
			`form_div_id` varchar(225) DEFAULT NULL,
			`subject` text,
			`email` varchar(225) DEFAULT NULL,
			`email_cc` text,
			`email_bcc` text,
			`status` tinyint(1) NOT NULL DEFAULT '0',
			`saved` tinyint(1) NOT NULL DEFAULT '0',
			`sendmail` tinyint(1) NOT NULL DEFAULT '1',
			`added_by` int(10) DEFAULT NULL,
			`added_on` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
			PRIMARY KEY (`form_id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ";
			
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sqlOne);
	}
	
	if($wpdb->get_var('SHOW TABLES LIKE ' . $field) != $field){
	  $sqlTwo = "CREATE TABLE " . $field . "(
				`column_id` int(10) NOT NULL AUTO_INCREMENT,
				`column_name` varchar(225) DEFAULT NULL,
				`column_name_id` varchar(225) DEFAULT NULL,
				`column_lable` varchar(225) DEFAULT NULL,
				`column_type` int(5) DEFAULT NULL COMMENT 'text,check,password',
				`column_description` text COMMENT 'description',
				`column_classes` text,
				`column_required` tinyint(1) NOT NULL DEFAULT '0',
				`column_validation_type` int(5) DEFAULT NULL,
				`form_ref_id` int(5) DEFAULT NULL,
				`column_status` tinyint(1) DEFAULT NULL,
				`serial` int(3) NOT NULL DEFAULT '0',
				`added_by` int(10) DEFAULT NULL,
				`added_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
				PRIMARY KEY (`column_id`)
				) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ";
			
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sqlTwo);
	}
	
	if($wpdb->get_var('SHOW TABLES LIKE ' . $save) != $save){
	  $sqlThree = "CREATE TABLE " . $save . "(
			`saved_form_id` int(10) NOT NULL AUTO_INCREMENT,
			`form_ref_id` int(10) DEFAULT NULL,
			`field_ref_id` int(10) DEFAULT NULL,
			`form_value` text,
			`added_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
			`added_by` int(10) DEFAULT NULL,
			PRIMARY KEY (`saved_form_id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17";
			
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sqlThree);
	}
		update_option( "MjCon_db_version", $MjCon_db_version );
}


?>